For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Ask AIPlaygroundLoginFree API Key
HomeAPI ReferenceVoice AgentSpeech-to-TextText-to-SpeechIntelligenceSelf-Hosted Deployments
HomeAPI ReferenceVoice AgentSpeech-to-TextText-to-SpeechIntelligenceSelf-Hosted Deployments
  • General
    • Deepgram API Overview
    • Authentication
    • Regional Endpoints
    • Custom Endpoints
    • Errors
    • API Rate Limits
  • API Reference
        • WSSBuild a Voice Agent
        • GETThink Models
LogoLogo
Ask AIPlaygroundLoginFree API Key
API ReferenceVoice Agent

Think Models

GET
https://agent.deepgram.com/v1/agent/settings/think/models
GET
/v1/agent/settings/think/models
1import requests
2
3url = "https://agent.deepgram.com/v1/agent/settings/think/models"
4response = requests.get(url)
5
6print(response.json())
Try it
1{
2 "models": [
3 {
4 "id": "gpt-5",
5 "name": "GPT-5",
6 "provider": "open_ai"
7 }
8 ]
9}
Retrieves the available think models that can be used for AI agent processing
Was this page helpful?
Previous

Create Agent Configuration

Next
Built with

Response

List of available think models
modelslist of objects

Errors

400
Bad Request Error